OGRE: Ogre::TerrainAutoUpdateLod Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::TerrainAutoUpdateLod Class Referenceabstract
Optional Components » Terrain

Terrain automatic LOD loading. More...

`#include <OgreTerrainAutoUpdateLod.h>`

Inheritance diagram for Ogre::TerrainAutoUpdateLod:
[legend]

## Public Member Functions
virtual | ~TerrainAutoUpdateLod ()
virtual void | autoUpdateLod (Terrain *terrain, bool synchronous, const Any &data)=0
| Method to be called to change terrain's LOD level.
virtual uint32 | getStrategyId ()=0

## Detailed Description

Terrain automatic LOD loading.

  This set of classes is used for automatic change of terrain LOD level. Base is TerrainAutoUpdateLod interface with just one public method autoUpdateLod. This method gets called by terrain whenever user thinks something has changed(typically in application's main loop) what could affect terrain's LOD level. It is designed in such a way so user can use whatever algorithm he likes to change terrain's LOD level. For example see TerrainAutoUpdateLod implementation TerrainAutoUpdateLodByDistance. It is also used as a null object for auto-LOD-updating.

## Constructor & Destructor Documentation

## ◆ ~TerrainAutoUpdateLod()

virtual Ogre::TerrainAutoUpdateLod::~TerrainAutoUpdateLod | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ autoUpdateLod()

virtual void Ogre::TerrainAutoUpdateLod::autoUpdateLod | ( | Terrain * | terrain,
|  | bool | synchronous,
|  | const Any & | data )
| pure virtual

Method to be called to change terrain's LOD level.

Parameters

  terrain | Instance of Terrain which LOD level is going to be changed
  synchronous | Run this as part of main thread or in background
  data | Any user specific data.

Implemented in Ogre::TerrainAutoUpdateLodByDistance.

## ◆ getStrategyId()

virtual uint32 Ogre::TerrainAutoUpdateLod::getStrategyId | ( |  | ) |
| pure virtual

Implemented in Ogre::TerrainAutoUpdateLodByDistance.

The documentation for this class was generated from the following file:

- OgreTerrainAutoUpdateLod.h